Package com.mckoi.database.sql

## Class TokenMgrError

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Error
    - - com.mckoi.database.sql.TokenMgrError

All Implemented Interfaces:
  `java.io.Serializable`

    public class TokenMgrError
    extends java.lang.Error

See Also:
  Serialized Form

### Constructor Summary

Constructors
`TokenMgrError()`
`TokenMgrError​(boolean EOFSeen, int lexState, int errorLine, int errorColumn, java.lang.String errorAfter, char curChar, int reason)`
`TokenMgrError​(java.lang.String message, int reason)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`protected static java.lang.String` `addEscapes​(java.lang.String str)` Replaces unprintable characters by their espaced (or unicode escaped) equivalents in the given string
`java.lang.String` `getMessage()` You can also modify the body of this method to customize your error messages.

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### TokenMgrError

    public TokenMgrError()

#### TokenMgrError

    public TokenMgrError​(java.lang.String message,
                         int reason)

#### TokenMgrError

    public TokenMgrError​(boolean EOFSeen,
                         int lexState,
                         int errorLine,
                         int errorColumn,
                         java.lang.String errorAfter,
                         char curChar,
                         int reason)

### Method Detail

#### addEscapes

    protected static final java.lang.String addEscapes​(java.lang.String str)

Replaces unprintable characters by their espaced (or unicode escaped) equivalents in the given string

#### getMessage

    public java.lang.String getMessage()

You can also modify the body of this method to customize your error messages. For example, cases like LOOP_DETECTED and INVALID_LEXICAL_STATE are not of end-users concern, so you can return something like : "Internal Error : Please file a bug report .... " from this method for such cases in the release version of your parser.

Overrides:
  `getMessage` in class `java.lang.Throwable`